> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Events

> Recent events on an account's timeline

# List Account Events

Returns recent account events, newest first.

## Request

<ParamField path="externalId" type="string" required>
  Your organization ID.
</ParamField>

<ParamField query="limit" type="number" default="50">
  Number of events, up to 500.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/accounts/org_123/events?limit=20" \
  -H "Authorization: Bearer API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "account": { "id": "acc_abc123", "externalId": "org_123" },
    "events": [
      { "id": "evt_1", "name": "trial_ending", "eventTime": "2026-09-04T09:00:00.000Z", "properties": { "daysLeft": 3 }, "recipientCount": 1 }
    ]
  }
  ```

  ```json 404 theme={null}
  { "success": false, "error": "Account not found" }
  ```
</ResponseExample>
